/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License. 
 *  
 */
package org.apache.directory.mitosis.configuration;


import org.apache.directory.mitosis.common.ReplicationException;


/**
 * A {@link ReplicationException} which is thrown when there's an error
 * in {@link ReplicationConfiguration}.
 * 
 * @author The Apache Directory Project Team
 */
public class ReplicationConfigurationException extends ReplicationException
{
    /**
     * Declares the Serial Version Uid.
     *
     * @see <a
     *      href="http://c2.com/cgi/wiki?AlwaysDeclareSerialVersionUid">Always
     *      Declare Serial Version Uid</a>
     */
    private static final long serialVersionUID = 1L;


    public ReplicationConfigurationException()
    {
        super();
    }


    public ReplicationConfigurationException( String message, Throwable cause )
    {
        super( message, cause );
    }


    public ReplicationConfigurationException( String message )
    {
        super( message );
    }


    public ReplicationConfigurationException( Throwable cause )
    {
        super( cause );
    }
}
